package com.ruoyi.cms.service;

import java.util.List;

import com.ruoyi.common.core.domain.TreeSelect;
import com.ruoyi.common.core.domain.entity.JobTitle;

/**
 * 岗位Service接口
 * 
 * @author Lishundong
 * @date 2024-11-12
 */
public interface IJobTitleService 
{
    /**
     * 查询岗位
     * 
     * @param jobId 岗位主键
     * @return 岗位
     */
    public JobTitle selectJobTitleByJobId(Long jobId);

    /**
     * 查询岗位列表
     * 
     * @param jobTitle 岗位
     * @return 岗位集合
     */
    public List<JobTitle> selectJobTitleList(JobTitle jobTitle);

    /**
     * 新增岗位
     * 
     * @param jobTitle 岗位
     * @return 结果
     */
    public int insertJobTitle(JobTitle jobTitle);

    /**
     * 修改岗位
     * 
     * @param jobTitle 岗位
     * @return 结果
     */
    public int updateJobTitle(JobTitle jobTitle);

    /**
     * 批量删除岗位
     * 
     * @param jobIds 需要删除的岗位主键集合
     * @return 结果
     */
    public int deleteJobTitleByJobIds(Long[] jobIds);

    List<TreeSelect> buildJobTitleTreeSelect(List<JobTitle> jobTitleList);

    boolean hasChildByJobId(Long jobId);

    List<TreeSelect> appJobTitle();

    void importJobTitle();

    List<JobTitle> levelOne();
}
